package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import org.springframework.ui.ModelMap;

import com.goafanti.common.model.ConsultOrder;

public interface ConsultOrderMapper {
	int deleteByPrimaryKey(Long id);

	int deleteRecord(Map<String, Object> params);

	int insert(ConsultOrder record);

	int insertSelective(ConsultOrder record);

	ConsultOrder selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(ConsultOrder record);

	int updateByPrimaryKey(ConsultOrder record);

	List<ModelMap> findConsultOrderListByPage(Map<String, Object> params);

	int findConsultOrderCount(Map<String, Object> params);
}